cURL
curl --request POST \ --url https://api.llmrouter.app/v1/embeddings \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "model": "<string>", "input": "<string>" } '
{ "object": "list", "data": [ { "object": "embedding", "embedding": [ 123 ], "index": 123 } ], "model": "openai/text-embedding-3-small", "usage": { "prompt_tokens": 123, "total_tokens": 123, "cost": "<unknown>" } }
Creates an embedding vector representing the input text. Passes through any additional parameters supported by the chosen model.
LLM Router API Key (e.g., sk-router-...)
Accepts any additional properties supported by the upstream embedding model.
Successful embedding response
"list"
Show child attributes
The model used to generate the embeddings
"openai/text-embedding-3-small"